webdevqa.jp.net

SnowLeopardのHomebrewMacVimでHomebrew Pythonバージョンを使用するにはどうすればよいですか?

注:Mountain Lionについては、以下を参照してください: HomebrewMacVimでHomebrew Pythonを使用するにはどうすればよいですか?マウンテンライオン?

Mac OS X SnowLeopardにHomebrewでPython 2.7をインストールしました。brew install macvimを使用してMacVimをインストールすると、Python support、ただし、システムのPythonインストールに対してコンパイルされます。これは、次のコマンドを実行することで確認できます。

:python print(sys.version)

2.6.1 (r261:67515, Jun 24 2010, 21:47:49) 
[GCC 4.2.1 (Apple Inc. build 5646)]

ただし、Vimは私のパスにあるPython実行可能ファイルを使用しているようです:

:python print(sys.executable)

/usr/local/bin/python

これにより、 vim-rst-tables (モジュール "re"をインポートできません)など、 vim_bridge を使用するVimスクリプトで問題が発生します。

自作のPythonバージョンに対してVimをコンパイルするにはどうすればよいですか?

14

まず、MacVimをすでにインストールしている場合は削除します:brew remove macvim

次に、コマンドbrew edit macvimを使用してMacVimの式を編集します。引数リスト(args = %W[ ...で始まる)を見つけて、次の行を変更します。

--enable-pythoninterp

次の2行に変更します。

--enable-pythoninterp=dynamic
--with-python-config-dir=/usr/local/lib/python2.7/config

(この構成ディレクトリは/usr/local/Cellar/python/2.7.3/Frameworks/Python.framework/Versions/Current/lib/python2.7/configにシンボリックリンクする必要があります)

これで、MacVimをbrew install macvimで再インストールすると、Python 2.7インストールが使用されます。

:python print(sys.version)

2.7.3 (default, Apr 16 2012, 23:20:02) 
[GCC 4.2.1 (Based on Apple Inc. build 5658) (LLVM build 2336.1.00)]
14